'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _types = require('./types');

/**
 * @return {Object} Object with each alias as a key and the alias value merge with it's `type` as value.
 */
exports.default = (0, _lodash.transform)(_types.types, function (aliases, value, type) {
  if (value.aliases) {
    (0, _lodash.each)(value.aliases, function (aliasValue, alias) {
      aliases[alias] = (0, _lodash.merge)({ type }, aliasValue);
    });
  }
});
//# sourceMappingURL=aliases.js.map