'use strict';

var _lodash = require('lodash');

var _types = require('./types');

/**
 * @type {Array} `releaseRules` configuration for `sr-commit-analyzer`.
 */
module.exports = [{ breaking: true, release: 'major' }].concat((0, _lodash.transform)(_types.types, function (releaseRules, value, type) {
  if (value.release) {
    if (typeof value.release === 'string') {
      releaseRules.push({ type, release: value.release });
    }

    if (value.release.release) {
      releaseRules.push(Object.assign({ type }, value.release));
    }
  }
}, []));
//# sourceMappingURL=release-rules.js.map